Docs

Authentication

Authenticate API requests with a Project or Team access token.

Access Tokens

The Chunkify API uses access tokens to authenticate requests. Choose a Project token or a Team token depending on the resources you need to manage.

Manage access tokens with the APP

Sign in to chunkify.dev and open your Team or Project settings to manage its tokens.

Chunkify creates a Project token automatically for each new Project. For a new Team, create a Team token yourself when you need one.

Keep access tokens on your server. Never expose them in browser code or commit them to source control.

HTTP Bearer Authentication

Include your access token in the Authorization header using HTTP Bearer authentication:

Authorization: Bearer YOUR_ACCESS_TOKEN

Team Token Scope

Team tokens start with sk_team_ and authorize actions on project and token resources.

Use a Team token for these actions:

Resource Actions
Project Get,List, Create, Update, Delete
Token List, Create, Revoke

When using the API, you can use your team token like this:

import { createClient } from 'chunkify';

const client = new Chunkify({
    teamAccessToken: 'My Team Access Token',
});

// Then you can do a team level action
const projects = await client.projects.list();
console.log(projects.data);

Project Token Scope

Project tokens start with sk_project_ and authorize actions on upload, source, job, file, notification, storage, and webhook resources.

When using the API, you can use your project token like this:

import { createClient } from 'chunkify';

const client = new Chunkify({
    projectAccessToken: 'My Project Access Token',
});

// Then you can do a project level action
const webhooks = await client.webhooks.list();
console.log(webhooks);